Page MenuHomeFreeBSD

LinuxKPI: Add linux/iosys-map.h header
ClosedPublic

Authored by wulf on Nov 28 2023, 8:54 PM.
Tags
None
Referenced Files
F86100904: D42799.diff
Sat, Jun 15, 11:22 AM
Unknown Object (File)
May 11 2024, 3:05 AM
Unknown Object (File)
May 9 2024, 5:11 AM
Unknown Object (File)
May 8 2024, 11:46 AM
Unknown Object (File)
May 8 2024, 11:45 AM
Unknown Object (File)
May 8 2024, 11:45 AM
Unknown Object (File)
May 8 2024, 9:39 AM
Unknown Object (File)
Apr 27 2024, 3:49 AM

Details

Summary

Sponsored by: Serenity Cyber Security, LLC
Obtained from: OpenBSD
MFC after: 1 week

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

wulf requested review of this revision.Nov 28 2023, 8:54 PM
bz requested changes to this revision.Dec 8 2023, 4:48 PM
bz added inline comments.
sys/compat/linuxkpi/common/include/linux/iosys-map.h
4

_LINUXKPI_LINUX_

67

style

This revision now requires changes to proceed.Dec 8 2023, 4:48 PM

Add LINUXKPI to guard #define
style(9)
typeof -> __typeof

wulf marked 2 inline comments as done.Dec 9 2023, 10:24 AM
This revision was not accepted when it landed; it landed in state Needs Review.Dec 24 2023, 8:23 AM
This revision was automatically updated to reflect the committed changes.